[thelist] How to connect Tomcat 5 and Apache 2.0.48 using mod_jk

Hassan Schroeder hassan at webtuitive.com
Wed Feb 25 11:12:31 CST 2004

Chris Johnston wrote:

> I downloaded Tomcat 5 and installed it and have it working on my laptop. 
> I also have Apache 2.0.48 installed and working. However, I can not 
> figure out how to get tomcat to work in connection with apache. I have 
> been searching the web for the last several hours trying to get this to 
> work. (I am also trying to get this work on windows XP, btw)
> There is an excellent tutorial over at SitePoint, but it is a year old 
> now and was written for Tomcat 4. Therefore, it does not work. 

Erm, have you tried it? If so, what's the error?

But to step back a bit -- no, I haven't done this, my primary dev
environment is Apache 2 + Tomcat 4; I'm running TC5 standalone on
a different machine.

A quick look at the JK docs shows no reference to TC5 (no surprise)
but a *very* quick look at the TC5 source makes me think that the
same AJP13 connector should work. I'll try to test this idea myself
but the earliest will be later today.

If you don't want to wait for that, my recommendation would be to
install the TC4.1.29 and JK connector binaries and get that setup
working with Apache, since it's (fairly well) documented. Then you
could try just swapping in TC5.

Hassan Schroeder ----------------------------- hassan at webtuitive.com
Webtuitive Design ===  (+1) 408-938-0567   === http://webtuitive.com

                           dream.  code.

More information about the thelist mailing list